%makestrata.m
%Edwin Kite

%THIS IS A ROUGH DRAFT

%Purpose: given matrix z (time x space) of the surface, display the corresponding
%stratigraphic cross section (showing crosscutting relationships)

%Inputs: matrix z (time x space) of the surface

%Notes: Done the obvious way - should look for a less expensive way.


%1. For every point on every time horizon, identify the
%points that are subsequently crosscut.

figure
maxtcut = 1900;% min(n,nt);

%Interp onto finer grid in x
refine = 16;

for l =1:size(z,1)
    z2(l,:) = interp1([1:nx],z(l,:),[1:1/refine:nx]);
end
    refinebasement = interp1([1:nx],basement,[1:1/refine:nx]);
disp('Interp done')

nx2 = nx*refine;

tdin = 1
%Plot strata
for l = 1:20:maxtcut-1
    if exist('dtest','var')
         plot(find(z2(l,1:((nx2/2)+1))<min(z2(l+1:maxtcut,1:((nx2/2)+1)))),z2(l,z2(l,1:((nx2/2)+1))<min(z2(l+1:maxtcut,1:((nx2/2)+1)))), ...
        'Color',[1-dtest(l)/max(dtest(1:maxtcut)) 0 dtest(l)/max(dtest(1:maxtcut))])
    
    if l == 121 %workaround (kludge) for display purposes (so bed isn't hanging in the middle of the mound)
        plot(find(z2(l,1:((nx2/2)+1))<min(z2(l+21:maxtcut,1:((nx2/2)+1)))),z2(l,z2(l,1:((nx2/2)+1))<min(z2(l+21:maxtcut,1:((nx2/2)+1)))), ...
        'Color',[1-dtest(l)/max(dtest(1:maxtcut)) 0 dtest(l)/max(dtest(1:maxtcut))])
    end
    
           tdtemp = diff(z2(l,z2(l,1:((nx2/2)+1))<min(z2(l+1:maxtcut,1:((nx2/2)+1)))));
           if numel(tdtemp)>0; 
               toedip(tdin) = atan(tdtemp(1)*180/pi);end
               tdin = tdin + 1;
         hold on
    else
        
        %plot(find(z(l,:)<(z(l+1:l+1,:))),z(l,z(l,:)<(z(l+1:l+1,:))),'Color',[0.8 0.8 0.8])
           tdtemp = diff(z2(l,z2(l,1:((nx2/2)+1))<min(z2(l+1:maxtcut,1:((nx2/2)+1)))));
               plot(find(z2(l,1:((nx2/2)+1))<min(z2(l+1:maxtcut,1:((nx2/2)+1)))),z2(l,z2(l,1:((nx2/2)+1))<min(z2(l+1:maxtcut,1:((nx2/2)+1)))), ...
               'Color','b')
           if numel(tdtemp)>0;
               toedip(tdin) = atan(tdtemp(1))*180/pi;
             %  plot(find(z2(l,1:((nx2/2)+1))<min(z2(l+1:maxtcut,1:((nx2/2)+1)))),z2(l,z2(l,1:((nx2/2)+1))<min(z2(l+1:maxtcut,1:((nx2/2)+1)))), ...
             %  'Color',[0 toedip(tdin)/7 1-toedip(tdin)/7])
           end
           tdin = tdin + 1;

           hold on
    end
end
%Plot current deflation surface in gray
plot(z2(maxtcut,1:((nx2/2)+1)),'Color',[0.6 0.6 0.6])
axis square

    set(gca,'FontSize',20)
    xlabel('x (km)','FontSize',20)
    ylabel('z (km)','FontSize',20)
    xlim([30*(nx2/100) (nx2/2)])
    ylim([-0.1 6])
    hold on
    plot(refinebasement,'Color','k','LineWidth',2)
    set(gca,'tickdir','out')
    set(gca,'xtick',refine*((nx/2)+[-200:10:200]));
    set(gca,'xticklabel',[-200:10:200]);

    
    
    
showdips = 0;
if showdips == 1
    %Calculate depositional and erosional dips:
    dspace = diff(z')'; %differential in space
    dtime  = diff(z); %differential in time

    filterod = dspace(1:n,:);
    filterod(dtime(:,1:nx-1)>=0) = NaN;

    filtdep = dspace(1:n,:);
    filtdep(dtime(:,1:nx-1)<=0) = NaN;

    [erod,Ie] = nanmax(atan(filterod(:,((nx/wwf)+2):(-2+(nx-nx/wwf)))').*180./pi);%dips for surfaces that are eroding
    [depd,Id] = nanmax(atan(filtdep(:,((nx/wwf)+2):(-2+(nx-nx/wwf)))').*180./pi);%dips for surfaces that are depositing

    [eromean] = nanmean(abs(atan(filterod(:,((nx/wwf)+2):(-2+(nx-nx/wwf)))').*180./pi));%dips for surfaces that are eroding
    [depmean] = nanmean(abs(atan(filtdep(:,((nx/wwf)+2):(-2+(nx-nx/wwf)))').*180./pi));%dips for surfaces that are depositing

    depdips = filtdep(:,((nx/wwf)+2):(-2+(nx-nx/wwf)));
    meandepdip = nanmean(abs(atan(depdips(:))).*180/pi);
    mediandepdip = nanmedian(abs(atan(depdips(:))).*180/pi);


    figure;subplot(2,1,2);plot(Ie);hold on;xlabel('Time (dimensionless');ylabel('X position (dimensionless)')
    plot(Id,'r');
    legend('Erosional slope','Depositional slope');grid on; title('Location of steepest dip')
    subplot(2,1,1);plot(erod);hold on;plot(depd,'r');grid on; plot(eromean,'LineWidth',2);plot(depmean,'LineWidth',2,'Color','r')
    legend('Erosional slope','Depositional slope','Mean eros. slope','Mean depo. slope'); title('Value of steepest dip')
    xlabel('Time (dimensionless');ylabel('Slope (degrees)')
end
